org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query

## Interface IsOneOfQuery

All Superinterfaces:
  Query

    public interface IsOneOfQuery
    extends Query

A representation of the model object 'Is One Of Query'. This query returns true if the source of the query is contained in a list of eObject handled by the referennce 'expectedEObjects'.

The following features are supported:

- `Expected EObjects`

See Also:
  `QueryPackage.getIsOneOfQuery()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`<any>` `getExpectedEObjects()` Returns the value of the 'Expected EObjects' reference list.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.Query

`isCanBeCached, isCanHaveSideEffects, setCanBeCached, setCanHaveSideEffects`

### Method Detail

#### getExpectedEObjects

    <any> getExpectedEObjects()

Returns the value of the 'Expected EObjects' reference list. The list contents are of type `org.eclipse.emf.ecore.EObject`.

If the meaning of the 'Expected EObjects' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Expected EObjects' reference list.
See Also:
  `QueryPackage.getIsOneOfQuery_ExpectedEObjects()`
Generated:
Model: